SQ(1)

NAME
sq key expire - Change expiration times

SYNOPSIS
sq key expire [OPTIONS] EXPIRATION

DESCRIPTION
Change expiration times.

Change or clear a certificate's expiration time.

This subcommand changes the certificate's expiration time. To change the expiration time of an individual subkey, use the `sq key subkey expire` subcommand.

OPTIONS

  Subcommand options

--binary
    Emit binary data

--cert=FINGERPRINT|KEYID
    Change the certificate's expiration time

--cert-file=CERT_FILE
    Change the certificate's expiration time

--output=FILE
    Write to FILE or stdout if omitted

EXPIRATION
    Define EXPIRATION for the key as ISO 8601 formatted string or custom duration. If an ISO 8601 formatted string is provided, the validity period reaches from the reference time (may be set using `--time`) to the provided time. Custom durations starting from the reference time may be set using `N[ymwds]`, for N years, months, weeks, days, or seconds. The special keyword `never` sets an unlimited expiry.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Make Alice's key expire in a year.

    sq key expire 1y --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0

Make Alice's key never expire.

    sq key expire never --cert \
        EB28F26E2739A4870ECC47726F0073F60FD0CBF0

SEE ALSO
sq(1), sq-key(1).

For the full documentation see <https://book.sequoia-pgp.org>.

VERSION
0.38.0 (sequoia-openpgp 1.21.2)